#
# Job options file
#
#==============================================================

#Check if we are running in batch mode
if runBatch:
  print "\n\n\tThis jobOptions need to be run in interactive mode - please use \'athena -i \'!\n\n"
  theApp.exit(1)

#--------------------------------------------------------------
# ATLAS default Application Configuration options
#--------------------------------------------------------------

# Setup for reading AODs
from AthenaCommon.AppMgr import ServiceMgr
import AthenaPoolCnvSvc.ReadAthenaPool


# Input file list
ServiceMgr.EventSelector.InputCollections = ["AOD.pool.root"]
## Initialize event selector
ServiceMgr.EventSelector.CollectionType = "ImplicitROOT"
#Avoid confusing messages from EventLoopMgr
ServiceMgr.EventSelector.OutputLevel = FATAL

# Setup for python-controlled event loop
# will also enable seeking
import AthenaServices.PyAthenaEventLoopMgr

#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------

#Load browser gui
import HepMCBrowser.HepMCBrowserFrame
from HepMCBrowser.HepMCBrowserFrame import HepMCBrowserFrame

#top algorithms to be run
HepMCBrowser = HepMCBrowserFrame( "HepMCBrowser" )
from HepMCBrowser.HepMCBrowserFrame import HepMCBrowserAlg

#Add to topSequence
from AthenaCommon.AlgSequence import AlgSequence
job = AlgSequence()
job += HepMCBrowser

#--------------------------------------------------------------
# Set output level threshold (VERBOSE, DEBUG, INFO, WARNING, ERROR, FATAL)
#--------------------------------------------------------------

MessageSvc.OutputLevel = WARNING

#--------------------------------------------------------------
# Initialize application right away - this will bring up the GUI
#--------------------------------------------------------------

if theApp.initialize().isFailure():
  print "\n\n\tUnable to initalize the Application! - Will quit immediately!\n\n"
  theApp.exit(1)
#==============================================================
#
# End of job options file
#
###############################################################
